# daemontools/djb related checks

# Status of ipcserver (number of running instances)
# See ucspi-ipc package: http://www.superscript.com/ucspi-ipc/index.html
# Monitors logfile entries (not via logfile monitoring in zabbix)
# Usage: ipcserver.status[/var/log/service-abc]
UserParameter=ipcserver.status[*],tail $1/current |grep 'status:'|tail -1|cut -d' ' -f 4|cut -d/ -f1
UserParameter=tcpsvd.status[*],tail $1/current|grep 'info: status'|tail -1|cut -d' ' -f 5|cut -d/ -f1
UserParameter=tcpserver.status[*],tail $1/current |grep 'status:'|tail -1|cut -d' ' -f 4|cut -d/ -f1
UserParameter=sslserver.status[*],tail $1/current |grep 'status:'|tail -1|cut -d' ' -f 4|cut -d/ -f1
UserParameter=qmail.status.local,tail /var/log/qmail/send/current |grep 'status:'|tail -1|cut -d' ' -f 4|cut -d/ -f1
UserParameter=qmail.status.remote,tail /var/log/qmail/send/current |grep 'status:'|tail -1|cut -d' ' -f 6|cut -d/ -f1
UserParameter=qmail.qstat.total,/opt/zabbix/scripts/qmail-qstat-check total
UserParameter=qmail.qstat.unprocessed,/opt/zabbix/scripts/qmail-qstat-check unprocessed
